> ## Documentation Index
> Fetch the complete documentation index at: https://docs.interchange.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get canonical reporting detail for one media buy

> Read-only canonical obligation, health, and retained revision evidence for one seller-scoped media buy.



## OpenAPI

````yaml /v2/storefront-api-v2.yaml get /media-buys/{mediaBuyId}/reporting
openapi: 3.0.0
info:
  title: Scope3 Storefront API
  version: 2.0.0
  description: >-
    REST API for partners to manage Seller Accounts, inventory sources, and
    billing.


    ## Authentication


    All endpoints require a Bearer token in the Authorization header:

    ```

    Authorization: Bearer your-api-key

    ```


    ## Base URL


    `https://api.interchange.io/api/v2/storefront`


    ## For AI Agents


    AI agents can use the MCP endpoint at `/mcp/v2/storefront` with three tools:

    - `initialize`: Start an MCP session

    - `api_call`: Make REST API calls

    - `ask_about_capability`: Learn about API features
servers:
  - url: https://api.interchange.io/api/v2/storefront
    description: Production server
security: []
tags:
  - name: Account
    description: Account management, service tokens, and preferences
  - name: Asks
    description: >-
      What you are waiting on Scope3 for — support, product, and supply asks in
      one list
  - name: Storefront
    description: Manage storefront and inventory sources
  - name: Storefront Agents
    description: List and manage registered sales, signals, and outcomes agents
  - name: Storefront Activity
    description: Audit log of configuration and inventory changes on the storefront
  - name: Storefront Billing
    description: Payout bank details and billing configuration for Seller Accounts
  - name: AI Usage
    description: Seller Account AI token usage visibility by model
  - name: MCP
    description: Model Context Protocol endpoints
paths:
  /media-buys/{mediaBuyId}/reporting:
    get:
      tags:
        - Storefront
      summary: Get canonical reporting detail for one media buy
      description: >-
        Read-only canonical obligation, health, and retained revision evidence
        for one seller-scoped media buy.
      operationId: getStorefrontMediaBuyReporting
      parameters:
        - in: query
          name: buyerCustomerId
          schema:
            type: integer
            minimum: 0
            exclusiveMinimum: true
            maximum: 9007199254740991
            description: >-
              Buyer customer id that owns this media-buy id on the seller
              storefront. Required to preserve the canonical account boundary.
          required: true
          description: >-
            Buyer customer id that owns this media-buy id on the seller
            storefront. Required to preserve the canonical account boundary.
        - in: path
          name: mediaBuyId
          schema:
            type: string
            minLength: 1
            description: Media buy id at the storefront grain (`sf_mb_…`).
          required: true
          description: Media buy id at the storefront grain (`sf_mb_…`).
      responses:
        '200':
          description: Get canonical reporting detail for one media buy
          content:
            application/json:
              schema:
                type: object
                properties:
                  availability:
                    nullable: true
                    type: string
                    enum:
                      - supported
                      - unsupported
                  health:
                    nullable: true
                    type: string
                    enum:
                      - waiting
                      - healthy
                      - delayed
                      - action_required
                      - complete
                  sourceProvenance:
                    nullable: true
                    type: string
                    enum:
                      - acquired
                      - unsupported
                  obligations:
                    type: array
                    items:
                      type: object
                      properties:
                        obligationId:
                          type: string
                          format: uuid
                          pattern: >-
                            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                        mediaBuyIds:
                          type: array
                          items:
                            type: string
                        mediaBuyIdsTruncated:
                          default: false
                          type: boolean
                        coverage:
                          nullable: true
                          type: string
                          enum:
                            - full
                            - partial
                            - none
                        periodStart:
                          type: string
                          format: date-time
                          pattern: >-
                            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                        periodEnd:
                          type: string
                          format: date-time
                          pattern: >-
                            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                        expectedAt:
                          type: string
                          format: date-time
                          pattern: >-
                            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                        nextExpectedAt:
                          type: string
                          format: date-time
                          pattern: >-
                            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                        requiredFinality:
                          type: string
                          enum:
                            - snapshot
                            - official
                        health:
                          type: string
                          enum:
                            - waiting
                            - healthy
                            - delayed
                            - action_required
                            - complete
                        missingFirstReport:
                          type: boolean
                        issue:
                          nullable: true
                          type: object
                          properties:
                            id:
                              type: string
                            code:
                              type: string
                              enum:
                                - REPORT_OVERDUE
                                - RESOURCE_EXPIRED
                            responsibleParty:
                              type: string
                              enum:
                                - seller
                            recommendedAction:
                              type: string
                              enum:
                                - wait_for_retry
                                - contact_seller
                          required:
                            - id
                            - code
                            - responsibleParty
                            - recommendedAction
                          additionalProperties: false
                        latestRevision:
                          nullable: true
                          type: object
                          properties:
                            revisionId:
                              type: string
                            kind:
                              type: string
                              enum:
                                - snapshot
                                - official
                                - restatement
                            rowCount:
                              type: integer
                              minimum: 0
                              maximum: 9007199254740991
                            controlTotalCount:
                              type: integer
                              minimum: 0
                              maximum: 9007199254740991
                            dataThrough:
                              nullable: true
                              type: string
                              format: date-time
                              pattern: >-
                                ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                            observedAt:
                              type: string
                              format: date-time
                              pattern: >-
                                ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                          required:
                            - revisionId
                            - kind
                            - rowCount
                            - controlTotalCount
                            - dataThrough
                            - observedAt
                          additionalProperties: false
                      required:
                        - obligationId
                        - mediaBuyIds
                        - mediaBuyIdsTruncated
                        - coverage
                        - periodStart
                        - periodEnd
                        - expectedAt
                        - nextExpectedAt
                        - requiredFinality
                        - health
                        - missingFirstReport
                        - issue
                        - latestRevision
                      additionalProperties: false
                  obligationsTruncated:
                    default: false
                    type: boolean
                  relatedMediaBuyIds:
                    type: array
                    items:
                      type: string
                  relatedMediaBuyIdsTruncated:
                    default: false
                    type: boolean
                  lastSuccessfulRevision:
                    nullable: true
                    type: object
                    properties:
                      revisionId:
                        type: string
                      kind:
                        type: string
                        enum:
                          - snapshot
                          - official
                          - restatement
                      rowCount:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                      controlTotalCount:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                      dataThrough:
                        nullable: true
                        type: string
                        format: date-time
                        pattern: >-
                          ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                      observedAt:
                        type: string
                        format: date-time
                        pattern: >-
                          ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                    required:
                      - revisionId
                      - kind
                      - rowCount
                      - controlTotalCount
                      - dataThrough
                      - observedAt
                    additionalProperties: false
                  freshness:
                    nullable: true
                    type: string
                    enum:
                      - current
                      - stale
                  dataThrough:
                    nullable: true
                    type: string
                    format: date-time
                    pattern: >-
                      ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                  nextExpectedAt:
                    nullable: true
                    type: string
                    format: date-time
                    pattern: >-
                      ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                  actions:
                    type: object
                    properties:
                      refreshCanonicalStatus:
                        type: object
                        properties:
                          available:
                            type: boolean
                            enum:
                              - false
                          reason:
                            type: string
                            enum:
                              - adapter_pending
                        required:
                          - available
                          - reason
                        additionalProperties: false
                      readCurrentSellerStatus:
                        type: object
                        properties:
                          available:
                            type: boolean
                            enum:
                              - false
                          reason:
                            type: string
                            enum:
                              - adapter_pending
                        required:
                          - available
                          - reason
                        additionalProperties: false
                      replayRetainedRevision:
                        type: object
                        properties:
                          available:
                            type: boolean
                            enum:
                              - false
                          reason:
                            type: string
                            enum:
                              - adapter_pending
                        required:
                          - available
                          - reason
                        additionalProperties: false
                    required:
                      - refreshCanonicalStatus
                      - readCurrentSellerStatus
                      - replayRetainedRevision
                    additionalProperties: false
                required:
                  - availability
                  - health
                  - sourceProvenance
                  - obligations
                  - obligationsTruncated
                  - relatedMediaBuyIds
                  - relatedMediaBuyIdsTruncated
                  - lastSuccessfulRevision
                  - freshness
                  - dataThrough
                  - nextExpectedAt
                  - actions
                additionalProperties: false
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: >-
            The buy is unavailable under the current buyer and storefront
            authority boundary.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    ErrorResponse:
      type: object
      properties:
        data:
          type: string
          nullable: true
          enum:
            - null
        error:
          $ref: '#/components/schemas/ApiError'
      required:
        - data
        - error
      additionalProperties: false
      description: Standard error response
    ApiError:
      type: object
      properties:
        code:
          type: string
          description: Machine-readable error code
        message:
          type: string
          description: Human-readable error message
        field:
          description: Field path associated with the error
          type: string
        details:
          description: Additional error context
          type: object
          additionalProperties: {}
      required:
        - code
        - message
      additionalProperties: false
      description: Structured error object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key or access token

````